Subject: Linux-Activists Digest #56
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sun, 12 Apr 92 17:00:34 EDT

Linux-Activists Digest #56, Volume #2            Sun, 12 Apr 92 17:00:34 EDT

Contents:
  Re: compiling kernel .95c+ (Werner Almesberger)
  Re: Local Bus support? (Steven Kraft)
  Re: kermit5A.tar.Z (Dahai Li)
  uudecode problems (anyone else?) ([email-masked])

----------------------------------------------------------------------------

From: [email-masked] (Werner Almesberger)
Subject: Re: compiling kernel .95c+
Date: 11 Apr 92 21:10:33 GMT

In article <[email-masked]> [email-masked] (Dale Ulan) writes:
> Compiling the kernel with GCC1.40 does not seem to work any more.

I've compiled it yesterday and haven't seen any unusual behaviour
yet. (GCC 1.40, 0.95c+ source, 0.95a and 0.95c+ running, 4 MB RAM,
no swap, 386/25.)

> In any case, it now works, so perhaps the GCC1.40 provision could 
> be taken out of the makefile...

Please don't !  BTW, there are two new gotchas:
   -O6 isn't recognized by GCC 1.40. I've changed it to -O
   the Version [sp?] dependency forces unnecessary recompilation of
     large parts of the source whenever make is run.

- Werner
-- 
   _________________________________________________________________________
  / Werner Almesberger, ETH Zuerich, CH      [email-masked] /
 / IFW A44  Tel. +41 1 254 7213                 [email-masked] /
/_BITNET:_ALMESBER@CZHETH5A__HEPNET/CHADNET:_[20579::]57414::ALMESBERGER_/

------------------------------

From: [email-masked] (Steven Kraft)
Subject: Re: Local Bus support?
Date: 11 Apr 92 22:47:59 GMT
Reply-To: [email-masked]

In article <[email-masked]>  writes:
! Hello netters.  I was just curious as to whether or not LINUX supports
! 32-bit local bus cards, such as 32-bit video cards and/or disk controllers.
! This is _not_ the same as EISA.  I understand that programs running over
! the bios have no problem, but since LINUX manipulates the hardware directly
! I wasn't sure.
! Jean Liddle
! Computer Science, Illinois State University 
! e-mail:  [email-masked]
!          [email-masked]

I have an Orchid Superboard 486/33 with an Orchid Fahrenheit 1280/D 32 bit  
local bus video card.  Linux 0.12 works fine on it.  I hope to get 0.95c  
installed as soon as I can, and I am sure that will also work.  

However, the fancy S3 accelerator chip functions of the Fahrenheit 1280/D are  
not yet accessible to Linux since no driver has been written yet.  I hope to  
write that driver myself in the future, but I do not have enough info yet about  
that card.  I have ordered an S3 Programming Manual, and I will have it in a  
few days.  I cannot say how long it might take to write the driver though...

For now my video card looks just like any plain VGA card as far as Linux is  
concerned.

However, a local bus disk controller may be a different matter.  Many variables  
are involved, and I have no experience here.

Steven Kraft   [email-masked]  Micro/Minicomputer Consultant, Comp Sci major
Gustavus Adolphus College

------------------------------

From: [email-masked] (Dahai Li)
Subject: Re: kermit5A.tar.Z
Reply-To: [email-masked] (Dahai Li)
Date: Sat, 11 Apr 1992 23:40:44 GMT

Hi Michael,

I have seen your notice about re-uploading a working version of kermit5A to
tsx-11.mit.edu, and downloaded it (it is dated 4/10/92, I think). However,
it still fails to work with a "segment fault".

I am running Linux 0.95c+ on a 8Meg 486 (with 16Meg swap space). Could you
check it again please?

Dahai

------------------------------

From: [email-masked]
Subject: uudecode problems (anyone else?)
Reply-To: [email-masked]
Date: Sun, 12 Apr 1992 00:42:31 GMT

I am trying to ftp from tsx-11 using ftpmail.  the following is a sample mail:

    reply [email-masked]
    connect tsx-11.mit.edu
    chdir /pub/linux/images
    binary
    uuencode
    get bootimage-0.95c+.Z
    quit

I have done the above three times.  I cat the files, uudecode them, and uncompress
does it's famous OOM and segmentation fault trick.
on a dos box, i used decomp and the computer churned for 30 minutes(xt)
and finally belched out a 9MB!!! file.  I have tried for bc.tar.Z,
pmake, lpd, shoelace, and others, and they all uncompress, but tar can only
read half of the tar(or less), making about 10 hours work worthless. :(

Has anyone else had this prob?

Does anyone know of a solution?

(if someone can send me uuencoded bootimage-0.95c+ uncompressed already,
I would be very grateful. : [email-masked])

What I really need is a way to make the ftpmail procedure work properly.

FYI: 386/33 4MB/100MB
     I used my xt to connect at 19200 to 386, and then kermit to connect thru modem
to attmail.  from attmail i dump the uuencoded file to screen and do a screen cature
on the xt.  I then use pcedit(procomm plus editor) to remove all the headers.
then I u/l the uuencoded file @19200 to the 386, uudecode, uncompress, and then
tar doesn't like most of it.  :(
any suggestions?

Thanks,
Jim Gifford
[email-masked]

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.95a released on March 17, 1992

End of Linux-Activists Digest
******************************